#
# Copyright (c) 2013-2015,2019-2020,2022 Red Hat.
# Copyright (c) 2000-2001,2003 Silicon Graphics, Inc.  All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# This file defines the directories and paths used by PCP
# and is installed as the file /etc/pcp.conf for use at run-time.
#
# Note:	the syntax of this file must allow processing to generate
#	correct variable assignments for both sh and make,
#	hence there should be no spaces immediately before or after
#	the equals in each assignment, no quoting on the right of the
#	equals although the value may contain embedded spaces.
#
# Shell scripts should never source this file directly, rather they
# should use this file indirectly by sourcing /etc/pcp.env, i.e.
#   . $PCP_DIR/etc/pcp.env
# this will handle the quoting and white space issues and set all
# "variables" beginning with PCP_ in this file into the environment.
# The defaults may be over-ridden by setting $PCP_CONF in the environment
# as the full path to an alternate version of this file.
#
# The "standard paths" reflect the directory structure that is used by
# default on the platform on which this file is installed.
#

# directory for _this_ file ... useful in the build
# Standard path: /etc
PCP_ETC_DIR=/etc

# directory for PCP configuration files
# Standard path: /etc/pcp
PCP_SYSCONF_DIR=/etc/pcp

# directory for rc/startup scripts
# Standard path: /etc/init.d
PCP_RC_DIR=/usr/libexec/pcp/lib

# directory for sysconfig controls
# Standard path: /etc/sysconfig (empty if no sysconfig support)
PCP_SYSCONFIG_DIR=/etc/sysconfig

# directory for public binaries
# Standard path: /usr/bin
PCP_BIN_DIR=/usr/bin

# directory for private PCP binaries (not run directly by users)
# Standard path is platform dependent, but generally one of
# /usr/libexec/pcp/bin or /usr/lib/pcp/bin or /usr/share/pcp/bin
PCP_BINADM_DIR=/usr/libexec/pcp/bin

# directory for private PCP libraries (not used directly by users)
# Standard path is platform dependent, but generally one of
# /usr/libexec/pcp/lib or /usr/lib/pcp/lib or /usr/share/pcp/lib
PCP_LIBADM_DIR=/usr/libexec/pcp/lib

# directory for runtime shared libraries, libpcp.so, etc.
# Standard path: /usr/lib
PCP_LIB_DIR=/usr/lib64
PCP_LIB32_DIR=/usr/lib

# directory for shared PCP files (shareable for diskless)
# Standard path: /usr/share/pcp
# Subdirectories: bin lib
PCP_SHARE_DIR=/usr/share/pcp

# directory for headers
# Standard path: /usr/include/pcp
PCP_INC_DIR=/usr/include/pcp

# parent directory of man pages
# Standard path: /usr/man
# Subdirectories: man1 man3 man5
PCP_MAN_DIR=/usr/share/man

# runtime directory for non-shared (i.e. system local) PCP files
# Standard path: /var/lib/pcp
# Subdirectories: config pmns (note see $PCP_PMDAS_DIR) for pmdas
PCP_VAR_DIR=/var/lib/pcp

# path to pmcd config file
# Standard path: $PCP_SYSCONF_DIR/pmcd/pmcd.conf
PCP_PMCDCONF_PATH=/etc/pcp/pmcd/pmcd.conf

# path to pmcd options file
# Standard path: $PCP_SYSCONF_DIR/pmcd/pmcd.options
PCP_PMCDOPTIONS_PATH=/etc/pcp/pmcd/pmcd.options

# path to site-local pmcd startup script
# Standard path: $PCP_SYSCONF_DIR/pmcd/rc.local
PCP_PMCDRCLOCAL_PATH=/etc/pcp/pmcd/rc.local

# path to pmproxy options file
# Standard path: $PCP_SYSCONF_DIR/pmproxy/pmproxy.options
PCP_PMPROXYOPTIONS_PATH=/etc/pcp/pmproxy/pmproxy.options

# path to pmie control file
# Standard path: $PCP_SYSCONF_DIR/pmie/control
PCP_PMIECONTROL_PATH=/etc/pcp/pmie/control

# path to pmsnap control file
# Standard path: $PCP_SYSCONF_DIR/pmsnap/control
PCP_PMSNAPCONTROL_PATH=/etc/pcp/pmsnap/control

# path to pmlogger control file
# Standard path: $PCP_SYSCONF_DIR/pmlogger/control
PCP_PMLOGGERCONTROL_PATH=/etc/pcp/pmlogger/control

# runtime directory for PCP PMDA files
# Standard path: /var/lib/pcp/pmdas
# Subdirectories: one per PMDA
PCP_PMDAS_DIR=/var/lib/pcp/pmdas

# installed files directory for PCP PMDA files
# Standard path: /usr/libexec/pcp/pmdas or /usr/lib/pcp/pmdas
# Subdirectories: one per PMDA
PCP_PMDASADM_DIR=/usr/libexec/pcp/pmdas

# directory for PCP pid files
# Standard path: /var/run/pcp
PCP_RUN_DIR=/run/pcp

# directory for PCP daemon log files
# Standard path: /var/log/pcp
# Subdirectories: pmcd pmlogger pmie
PCP_LOG_DIR=/var/log/pcp

# parent directory of PCP archive directories
# Standard path: /var/log/pcp/pmlogger
PCP_ARCHIVE_DIR=/var/log/pcp/pmlogger

# default version for generating PCP archives
# Possible versions: 2, 3 (3 requires PCP 6+)
PCP_ARCHIVE_VERSION=2

# directory for daily PCP activity reports
# Standard path: /var/log/pcp/sa
PCP_SA_DIR=/var/log/pcp/sa

# path to system-wide process accounting file
# Standard path: /var/account/pacct
PCP_PACCT_SYSTEM_PATH=/var/account/pacct

# directory for PCP temp status files
# Standard path: /var/lib/pcp/tmp
# Subdirectories: pmie pmlogger
PCP_TMP_DIR=/var/lib/pcp/tmp

# directory for PCP temp work files
# Standard path: /var/tmp
PCP_TMPFILE_DIR=/var/tmp

# directory for PCP documentation
# Standard path: /usr/share/doc/pcp
PCP_DOC_DIR=/usr/share/doc/pcp
PCP_HTML_DIR=/usr/share/doc/pcp-doc/html

# directory for PCP demos and examples
# Standard path: /usr/share/pcp/demos
PCP_DEMOS_DIR=/usr/share/pcp/demos

# path to PCP TLS configuration file
# Standard path: /etc/pcp/tls.conf
PCP_TLSCONF_PATH=/etc/pcp/tls.conf

# awk
PCP_AWK_PROG="/usr/bin/gawk --posix"

# unix-like sort
PCP_SORT_PROG=/usr/bin/sort

# tools needed to rebuild things on the target platform
PCP_MAKE_PROG=/usr/bin/gmake
PCP_CC_PROG="gcc "

# echo
# for lines without newline, use
#	$PCP_ECHO_PROG $PCP_ECHO_N "string""$PCP_ECHO_C"
PCP_ECHO_PROG=/usr/bin/echo
PCP_ECHO_N=-n
PCP_ECHO_C=

# write to the system log
PCP_SYSLOG_PROG=logger

# running process list
PCP_PS_PROG=ps
PCP_PS_ALL_FLAGS="-efw"

# preferred python executable
# Standard program: python, python26, python3 (or empty)
PCP_PYTHON_PROG=python3

# preferred perl executable
# Standard program: perl (or empty)
PCP_PERL_PROG=perl

# locate executables
PCP_WHICH_PROG=/usr/bin/which

# host operating system
PCP_PLATFORM=linux
PCP_PLATFORM_PATHS=/usr/bin/X11:/usr/local/bin

# PCP version
PCP_VERSION=6.0.5

# confirmation dialog
PCP_XCONFIRM_PROG=/usr/bin/pmconfirm

# default account for running daemons (preferably unprivileged)
# Standard user: "pcp" and group: "pcp"
PCP_USER=pcp
PCP_GROUP=pcp

# directory for SASL configuration files
# Standard path: /etc/sasl2
PCP_SASLCONF_DIR=/etc/sasl2

# directory for systemd unit files, sysusers and tmpfiles specifications
# Standard path: /usr/lib/systemd/systemd, /usr/lib/{sysusers,tmpfiles}.d
PCP_SYSTEMDUNIT_DIR=/usr/lib/systemd/system
PCP_SYSTEMDSYSUSERS_DIR=/usr/lib/sysusers.d
PCP_SYSTEMDTMPFILES_DIR=/usr/lib/tmpfiles.d

# verbose logging of PCP "rc" scripts launched from init, cron or systemd
# ... logging goes to $PCP_LOG_DIR/NOTICES
# expect this to be changed manually (to true) if required
PCP_LOG_RC_SCRIPTS=false
